Bug 1111978 (oxygen-fonts) - Review Request: oxygen-fonts - Oxygen fonts created by the KDE Community
Summary: Review Request: oxygen-fonts - Oxygen fonts created by the KDE Community
Keywords:
Status: CLOSED RAWHIDE
Alias: oxygen-fonts
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews kf5 kf5-frameworkintegration
TreeView+ depends on / blocked
 
Reported: 2014-06-22 13:13 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:57:33 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-06-22 13:13:26 UTC
Spec URL: http://dvratil.fedorapeople.org/kf5/review/oxygen-fonts.spec
SRPM URL: http://dvratil.fedorapeople.org/kf5/review/oxygen-fonts-0.3.95-1.fc20.src.rpm
Description: Oxygen fonts created by the KDE Community
Fedora Account System Username: dvratil

Comment 1 Parag AN(पराग) 2014-06-27 16:48:04 UTC
1) $ rpmlint *.rpm
oxygen-fonts.noarch: W: unexpanded-macro /usr/share/fontconfig/conf.avail/%{fontconf} %{fontconf}
oxygen-fonts.noarch: W: unexpanded-macro /etc/fonts/conf.d/%{fontconf} %{fontconf}
oxygen-fonts.src: W: file-size-mismatch oxygen-fonts-0.3.95.tar.xz = 533104, http://download.kde.org/unstable/plasma/4.95.0/oxygen-fonts-0.3.95.tar.xz = 533112
oxygen-fonts-devel.noarch: W: only-non-binary-in-usr-lib
oxygen-fonts-devel.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

==> Fix above issues

2) missing following
%global fontconf oxygen-fontconfig.conf

3) License is not clear to me. Source font shows embedded license string as OFL 1.1

4) Do we need cmake files installed (or devel package needed)?

Comment 2 Daniel Vrátil 2014-06-29 10:21:04 UTC
Spec URL: http://dvratil.fedorapeople.org/kf5/review/oxygen-fonts.spec
SRPM URL: http://dvratil.fedorapeople.org/kf5/review/oxygen-fonts-0.3.95-2.fc20.src.rpm


> 2) missing following
> %global fontconf oxygen-fontconfig.conf

Fixed

> 3) License is not clear to me. Source font shows embedded license string as OFL > 1.1

According to README.md: "The Oxygen Fonts are released under either The SIL Open Font License (OFL) version 1.1 or the GNU General Public License version 3 with
font exception (GPL+FE)." - so I updated the package license to "OFL or GPLv3 with exceptions" (but I'm no expert)

4) Do we need cmake files installed (or devel package needed)?

Yes, kf5-plasma package (bug 1111970) will refuse to build if oxygen-fonts is not found via CMake. Bit unfortunate, but I guess upstream wants to make sure Oxygen is always used as the default font.

Comment 3 Parag AN(पराग) 2014-07-02 09:26:23 UTC
looks good now. I have one more suggestion
1) %clean can be removed as its not needed on Fedora and EPEL6/7

APPROVED.

Comment 4 Parag AN(पराग) 2014-07-02 09:36:57 UTC
ah! just realized you have not chosen any priority for fontconfig file. See /etc/fonts/conf.d/README

I will suggest you can choose 61 priority. Change spec from
%global fontconf oxygen-fontconfig.conf
to
%global fontconf 61-%{fontname}.conf

Comment 5 Daniel Vrátil 2014-07-02 13:37:00 UTC
Ok, fixed both issues locally in the spec. Thanks for the review.

Comment 6 Daniel Vrátil 2014-07-02 13:37:50 UTC
New Package SCM Request
=======================
Package Name: oxygen-fonts
Short Description: Oxygen fonts created by the KDE Community
Upstream URL: http://www.kde.org
Owners: dvratil jgrulich ltinkl rdieter kkofler than
Branches: 
InitialCC:

Comment 7 Gwyn Ciesla 2014-07-02 13:46:26 UTC
Git done (by process-git-requests).

Comment 8 Daniel Vrátil 2014-08-20 09:45:34 UTC
Package Change Request
======================
Package Name: oxygen-fonts
New Branches: f20
Owners: dvratil jgrulich ltinkl rdieter kkofler than

Comment 9 Gwyn Ciesla 2014-08-20 09:54:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.